Subject: paccess.h & dbe exception

From: Ralf Baechle <[email-masked]>
Date: Fri, 21 Jan 2000 03:07:56 +0100

In <asm/paccess.h> I've provided a set of get_user / put_user like functions
that are protecting against DBE exceptions just like get_user / put_user
are protecting against ``normal'' types of page faults.  Unlike their
*_user counterparts there is no verify_area equivalent - the kernel is
supposed to know what addresses it is using.  These routines are useful
to implement things like hardware detection routines.  Or like on the
Origin where I needed them to protect the PCI code against accesses to
the configuration space of non-existant devices.  For now the code only
exists for MIPS64 / IP27 but it'll be easy to port.

  Ralf